__all__ = ['PageIndexPagination']

from rest_framework.pagination import PageNumberPagination
from rest_framework.response import Response


class PageIndexPagination(PageNumberPagination):
    def get_paginated_response(self, data):
        return Response({
            'current': self.page.number,
            'next': self.page.next_page_number() if self.page.has_next() else None,
            'previous': self.page.previous_page_number() if self.page.has_previous() else None,
            'num_pages': self.page.paginator.num_pages,
            'count': self.page.paginator.count,
            'results': data
        })
